Bug 543591 - Assertion failure in "gtk_text_view_paint" in ies4linux-2.99.0.1/ui/pygtk/ies4linux-gtk.py
Assertion failure in "gtk_text_view_paint" in ies4linux-2.99.0.1/ui/pygtk/ies...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
17
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:6980a86e3dfa2591101cca93e2f...
: Reopened
: 562553 566701 566890 568799 570656 575412 575418 576977 578563 578669 578988 580071 581393 581944 581972 583723 882471 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-12-02 12:27 EST by Tony G.
Modified: 2013-08-01 14:36 EDT (History)
22 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 14:35:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (16.05 KB, text/plain)
2009-12-02 12:27 EST, Tony G.
no flags Details

  None (edit)
Description Tony G. 2009-12-02 12:27:32 EST
abrt 1.0.0 detected a crash.

Attached file: backtrace
cmdline: python /home/tgarcia/Download/ies4linux-2.99.0.1/ui/pygtk/ies4linux-gtk.py
component: python
executable: /usr/bin/python
kernel: 2.6.31.5-127.fc12.i686.PAE
package: python-2.6.2-2.fc12
rating: 4
reason: Process was terminated by signal 6
Comment 1 Tony G. 2009-12-02 12:27:35 EST
Created attachment 375501 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-12-02 14:15:11 EST
Looks like an assertion failure deep inside gtk's python bindings, inside gtk_text_view_paint.  Could well be a bug in the application code.
Comment 3 Dave Malcolm 2009-12-09 21:10:38 EST
Thank you for your report. This bug is in the ies4linux script you are using to run Internet Explorer. Fedora does not provide or support this script. We would suggest that you report the problem to the upstream project at http://www.tatanka.com.br/ies4linux/ , but it does not seem to have been updated since February 2008, so the effort may be wasted. There is unfortunately nothing the Fedora project can do to help you with this problem.
Comment 4 Dave Malcolm 2010-02-11 14:16:25 EST
*** Bug 562553 has been marked as a duplicate of this bug. ***
Comment 5 Dave Malcolm 2010-02-19 22:16:26 EST
*** Bug 566834 has been marked as a duplicate of this bug. ***
Comment 6 Dave Malcolm 2010-02-19 22:18:51 EST
*** Bug 566701 has been marked as a duplicate of this bug. ***
Comment 7 Dave Malcolm 2010-02-20 14:04:54 EST
*** Bug 566890 has been marked as a duplicate of this bug. ***
Comment 8 Dave Malcolm 2010-02-26 19:09:12 EST
*** Bug 568799 has been marked as a duplicate of this bug. ***
Comment 9 Dave Malcolm 2010-03-04 18:27:33 EST
*** Bug 570656 has been marked as a duplicate of this bug. ***
Comment 10 Dave Malcolm 2010-03-20 16:13:15 EDT
*** Bug 575412 has been marked as a duplicate of this bug. ***
Comment 11 Dave Malcolm 2010-03-20 16:14:09 EDT
*** Bug 575418 has been marked as a duplicate of this bug. ***
Comment 12 Dave Malcolm 2010-03-25 16:44:27 EDT
*** Bug 576977 has been marked as a duplicate of this bug. ***
Comment 13 Pavel Alexeev 2010-03-27 15:54:31 EDT
(In reply to comment #3)
> Thank you for your report. This bug is in the ies4linux script you are using to
> run Internet Explorer. Fedora does not provide or support this script.
Off course! But segfault happened in pyftk2 and it is not clean fashion error hadling. How you think??
Comment 14 Dave Malcolm 2010-04-02 12:54:56 EDT
*** Bug 578563 has been marked as a duplicate of this bug. ***
Comment 15 Dave Malcolm 2010-04-02 12:57:05 EDT
*** Bug 578669 has been marked as a duplicate of this bug. ***
Comment 16 Dave Malcolm 2010-04-02 12:58:32 EDT
*** Bug 578988 has been marked as a duplicate of this bug. ***
Comment 17 Dave Malcolm 2010-04-07 16:12:29 EDT
*** Bug 580071 has been marked as a duplicate of this bug. ***
Comment 18 Peque 2010-04-08 07:10:52 EDT

How to reproduce
-----
1. Open "ies4linux"
2. Select "6.0, 5.5, 5.0" to install
3. Click on "accept"
4. The process starts, and after a few seconds, it crashes


Comment
-----
Dont know if this could have affect: before doing that, I installed "6.0" and "7.0" (in "advanced") successfully.
Comment 19 Dave Malcolm 2010-04-12 11:51:20 EDT
*** Bug 581393 has been marked as a duplicate of this bug. ***
Comment 20 Dave Malcolm 2010-04-13 13:31:43 EDT
*** Bug 581944 has been marked as a duplicate of this bug. ***
Comment 21 Dave Malcolm 2010-04-13 14:52:44 EDT
*** Bug 581972 has been marked as a duplicate of this bug. ***
Comment 22 Dave Malcolm 2010-04-22 16:10:31 EDT
*** Bug 583723 has been marked as a duplicate of this bug. ***
Comment 23 Bug Zapper 2010-11-04 00:35:00 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 24 Pavel Alexeev 2010-11-04 16:35:15 EDT
I think error still there.
Comment 25 Fedora End Of Life 2012-08-16 18:23:10 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 26 Dave Malcolm 2012-12-10 13:49:51 EST
*** Bug 882471 has been marked as a duplicate of this bug. ***
Comment 27 Fedora End Of Life 2013-07-04 02:56:03 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 28 Fedora End Of Life 2013-08-01 14:36:05 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.